Bug 25149 - Compiler dies on -std=f95
Summary: Compiler dies on -std=f95
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: fortran (show other bugs)
Version: 4.2.0
: P3 normal
Target Milestone: 4.1.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-29 04:13 UTC by Jerry DeLisle
Modified: 2005-12-12 20:14 UTC (History)
1 user (show)

See Also:
Host: i686-pc-linux-gnu
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jerry DeLisle 2005-11-29 04:13:36 UTC
The following compiles fine with no parameters but fails to compile with -std=f95:

      program fabort
      implicit none
      integer :: i1, i2, i3
      open(10, status="scratch")
      write(10,'(a)') "1,2       35"
      rewind(10)
      read(10,'(3i9)') i1,i2,i3
      if(i1.ne.1) call abort()
      end

$ gfc -std=f95 abort.f
/tmp/cc4WFggT.o(.text+0x1a8): In function `MAIN__':
abort.f: undefined reference to `abort_'
collect2: ld returned 1 exit status
Comment 1 Andrew Pinski 2005-11-29 04:15:04 UTC
This is most likely a dup of bug 20248 (hopefully I was clear in my email to fortran@, maybe I was not).
Comment 2 Jerry DeLisle 2005-11-29 05:53:00 UTC
Subject: Bug 25149

Author: jvdelisle
Date: Tue Nov 29 05:52:57 2005
New Revision: 107655

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=107655
Log:
2005-11-28  Steven G. Kargl  <kargls@comcast.net>

	PR libgfortran/25149
	* intrinsics/abort.c: Add external abort_ to allow linking when 
	invoking -std=f95 in testsuite.

Modified:
    trunk/libgfortran/ChangeLog
    trunk/libgfortran/intrinsics/abort.c

Comment 3 Jerry DeLisle 2005-12-02 00:38:39 UTC
Subject: Bug 25149

Author: jvdelisle
Date: Fri Dec  2 00:38:36 2005
New Revision: 107851

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=107851
Log:
2005-12-01  Steven G. Kargl  <kargls@comcast.net>

	PR libgfortran/25149
	* intrinsics/abort.c: Add external abort_ to allow linking when 
	invoking -std=f95 in testsuite.

Modified:
    branches/gcc-4_1-branch/libgfortran/ChangeLog
    branches/gcc-4_1-branch/libgfortran/intrinsics/abort.c

Comment 4 Jerry DeLisle 2005-12-02 02:13:08 UTC
Fixed in 4.1 and 4.2
Comment 5 Jerry DeLisle 2005-12-02 02:13:43 UTC
Closing